// SPDX-License-Identifier: GPL-3.0-or-later
/*
 * Qt mutizone MQTT thermostat
 *
 * Copyright (C) 2020 Richard Genoud
 *
 */

#ifndef EDITDLG_H
#define EDITDLG_H

#include <QSpinBox>
#include <QDoubleSpinBox>
#include <QWidget>
#include <QObject>
#include <QDateTime>

class EditDlg : public QWidget
{
	Q_OBJECT

public:
	EditDlg(int idx, QWidget *parent = Q_NULLPTR,
		Qt::WindowFlags f = Qt::WindowFlags());
	~EditDlg();

private:
	void set_font(QWidget *widget);

	QDoubleSpinBox m_default_temperature;
	QVector<struct Program> m_progs;
	int m_idx; // room index

private slots:
	void save(void);
	void reject(void);
	void delete_prog_clicked(void);

signals:
	void close_edit_dlg(void);
};

#endif // EDITDLG_H

/* vim: set tabstop=8 shiftwidth=8 softtabstop=0 noexpandtab: */
